Skip to content

Reopen a closed customer support ticket.

POST
/api/web/namespaces/{namespace}/customer_support/{name}/reopen
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/customer_support/example/reopen \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "namespace": "example" }'

Reopens a selected closed customer support ticket.

Examples of this operation.

namespace
required
string

Namespace The namespace in which the support ticket object is present.

name
required
string

Name The name of the customer support ticket object to be open again.

Media typeapplication/json
Reopen comment request

Reopens a closed existing customer support ticket.

object
name
name

The name of the customer support ticket object to be open again.

string
>= 6 characters <= 1024 characters
namespace
namespace

The namespace in which the support ticket object is present.

string
>= 6 characters <= 1024 characters
Examplegenerated
{
"name": "example",
"namespace": "example"
}

A successful response.

Media typeapplication/json
Reopen response

Gives details of result of reopening a customer support ticket.

object
err
string
default: EUNKNOWN
Allowed values: EUNKNOWN EOK E_NOT_CLOSED E_NOT_OPEN E_NOT_ELIGIBLE E_NOT_NOT_FOUND
Example
{
"err": "EUNKNOWN"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example